<div class="container-encuuesta">
    <h1>Encuesta</h1>
    <form class="form" (ngSubmit)="this.create()">
        <h4>ESTILO MUSICAL</h4>
        <p>
            <mat-form-field appearance="fill" class="mySelectForm">
                <mat-label>Escoja un estilo</mat-label>
                <mat-select style="background-color: white;" id="opcion" name="opcion" [(ngModel)]="encuesta.opcion">
                    <mat-option *ngFor="let estilo of estilos" [value]="estilo.value">
                        {{estilo.viewValue}}
                    </mat-option>
                </mat-select>
            </mat-form-field>
        </p>
        <h4>CORREO ELECTRONICO</h4>
        <p>
            <mat-form-field class="example-full-width" appearance="fill">
                <mat-label>desarollo@example.com</mat-label>
                <input id="email " name="email " type="email " [(ngModel)]="encuesta.email " matInput [formControl]="emailFormControl " [errorStateMatcher]="matcher " placeholder="Ex. pat@example.com ">
                <mat-hint></mat-hint>
                <mat-error *ngIf="emailFormControl.hasError( 'email') && !emailFormControl.hasError( 'required') ">
                    Por favor ingrese un correo valida
                </mat-error>
                <mat-error *ngIf="emailFormControl.hasError( 'required') ">
                    El correo es<strong> obligatorio</strong>
                </mat-error>
            </mat-form-field>
        </p>
        <p class="center">
            <button mat-button>Enviar Respuesta</button>
        </p>
    </form>
</div>